import BaseCalculator from './BaseCalculator';
declare class FadeCalculator extends BaseCalculator {
    weapons: string[];
    reversedWeapons: string[];
    tradeUpWeapons: string[];
    configs: {
        default: {
            pattern_offset_x_start: number;
            pattern_offset_x_end: number;
            pattern_offset_y_start: number;
            pattern_offset_y_end: number;
            pattern_rotate_start: number;
            pattern_rotate_end: number;
        };
        MP7: {
            pattern_offset_x_start: number;
            pattern_offset_x_end: number;
            pattern_offset_y_start: number;
            pattern_offset_y_end: number;
            pattern_rotate_start: number;
            pattern_rotate_end: number;
        };
        'M4A1-S': {
            pattern_offset_x_start: number;
            pattern_offset_x_end: number;
            pattern_offset_y_start: number;
            pattern_offset_y_end: number;
            pattern_rotate_start: number;
            pattern_rotate_end: number;
        };
    };
}
export default FadeCalculator;
